E2LS(1)

NAME
e2ls - list files and directories on an ext2 filesystem

SYNOPSIS
e2ls [options] file_specification

DESCRIPTION
The e2ls command is used to list files and directories on an ext2 filesystem.

  Note
Files deleted via e2rm(1) sometimes will show up even without the -D option. It is being investigated.

OPTIONS

-a  Show hidden directories.

-c  Sort by creation time (must include -t when using -l).

-d dir
    Open the ext2 filesystem specified by dir.

-D  Show deleted files bracketed with ><.

-f  No sorting of the file list.

-i  Show the inodes (very useful for the -l option).

-l  Long listing.

-n  Like -l, but list numeric user and group IDs.

-r  Reverse the sort order.

-t  Sort by time.

-Z  List SELinux label from extended attributes.

EXAMPLES
    e2ls -a boot.img:.
    e2ls -l /dev/hdb1:/data

SEE ALSO
e2tools(7), e2ln(1), e2mv(1), e2mkdir(1), e2cp(1), e2rm(1), e2tail(1).

AUTHOR
The e2tools were written by Keith Sheffield <sheff@pobox.com>.

This manual page was written by Lucas Wall <lwall@debian.org>, for the Debian project (but may be used by others).